Package org.apache.sling.feature.builder

# Interface PostProcessHandler

@ConsumerType public interface PostProcessHandler
A Post Process Handler processes features after a merge operation. The handlers are passed in to the `FeatureBuilder` via `BuilderContext.addPostProcessExtensions(PostProcessHandler...)`. Once all extensions are merged, all post processor handlers are called for each extension in the target feature.

## Method Summary

Modifier and Type
Method
Description
`void`
`postProcess(HandlerContext context, Feature feature, Extension extension)`
Post process the feature with respect to the extension.

## Method Details

### postProcess

void postProcess(HandlerContext context, Feature feature, Extension extension)
Post process the feature with respect to the extension. Post processing is invoked after all extensions have been merged.

Parameters:
  `context` - Context for the handler
  `feature` - The feature
  `extension` - The extension
Throws:
  `IllegalStateException` - If post processing failed